<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta content="ie=edge" http-equiv="X-UA-Compatible">
        <title>Usage of max-width</title>
        <style>
            body {
                margin: 0;
                padding: 0;
                font-family: sans-serif;
                color: white;
                background-color: #eee;
            }
            .page {
                max-width: 800px;
                margin: 0 auto;
                height: 100vh;

                display: grid;
                grid-template-columns: 8em auto;
                grid-template-rows: 3em auto 5em;
                grid-template-areas: "header header" "sidebar content" "footer footer";

                background-color: #bbb;
            }
            header {
                grid-area: header;
                background-color: rgba(0, 0, 200, 0.9);
                padding: 0.6em 0;
                text-align: center;
            }
            footer {
                grid-area: footer;
                background-color: #333;
                color: #ccc;
                text-align: center;
                padding: 0.9em 0;
            }
            aside {
                grid-area: sidebar;
                background-color: rgba(0, 0, 200, 0.5);
                padding: 2em 0.25em;
            }
            main {
                grid-area: content;
                background-color: white;
                color: #333;
                margin: 0.5em;
                border-radius: 0.5em;
                padding: 1em;
                overflow: auto;
            }
        </style>
    </head>
    <body>
        <div class="page">
            <header>Header</header>
            <aside>Sidebar</aside>
            <main>
                <p> Eruditi saperet et est, te vocibus eloquentiam eam, qui quod praesent ut. Ad usu putant corpora percipit. Cum ei nobis exerci adolescens, at vix utroque scribentur repudiandae. Sed no sonet explicari, eos id case error euripidis, ne pro graecis principes. Autem efficiantur ei sit, eum id petentium adolescens, sed doctus eruditi ad. </p>
                <p> Choro tation qualisque eu cum, at eam solet electram maluisset, eos congue assentior similique at. Ex pro meis lobortis. Vide idque in pro, no has choro affert detraxit, ridens dolorem adipiscing vim eu. Ne vulputate abhorreant scribentur ius. </p>
                <p> Eum putent definitiones eu, minim laoreet quaestio an nam, adhuc deleniti periculis ne his. Et elitr iuvaret euismod est, unum qualisque consulatu vim ut. Has an inani repudiare expetendis, ut facer postea ius. Te nam alienum persecuti. Vero quodsi persequeris vel no, te ferri feugiat his. Efficiendi dissentiunt est ne, an rebum graece explicari sed, pro at malis platonem. Nec ex dictas quodsi. </p>
                <p> Mea lorem dicit dicunt ne. Mel id vivendo adipisci vulputate, cu nec odio equidem omnesque. Duo et elitr aliquip molestie, fuisset conceptam mel eu, sale numquam per ad. Impetus volumus ex nec, nam epicurei consequuntur no. Aeterno voluptatum ius ne, ius veniam inimicus vituperata id. </p>
                <p> Qui epicurei ocurreret sadipscing ut, ut mei assum euismod. Odio perfecto et qui, sit brute mandamus intellegam ad, ea case alterum complectitur pri. Vis an congue audiam, nonumy invidunt no sea, ad vis dolor tation. Ea intellegam temporibus conclusionemque sea, laoreet percipitur inciderint pri no. </p>
                <p> Iusto facilisis rationibus ad vis. Has ut mutat detraxit aliquando, decore saperet est eu. Pri dicam adolescens voluptatibus ei, eu has ridens propriae, eam ad adolescens neglegentur signiferumque. Omnesque similique in ius, quo et etiam nostrud. Id error soleat honestatis per, cu eos duis nobis interesset. Esse repudiandae sit ut. </p>
                <p> Et deleniti expetenda quo. Ne quaeque honestatis disputando qui, per dicta nusquam ea, quo munere erroribus eu. Nam quem brute nominavi ex. Nam ei modus efficiantur, eam in deleniti dissentias. Soluta ponderum platonem pro ex, vis corpora platonem ei. Assum aliquam blandit eum ad. </p>
                <p> Habeo labitur aliquam est ea, no dicit choro iuvaret nec. Sit mazim noster singulis ex, an suscipit accusata vim. Liber omnium timeam ei mei. Eum brute appellantur ut, per ex magna ancillae interesset. Nec essent facilisis te, ex pro mucius oporteat adversarium, democritum sententiae voluptatum an nam. </p>
                <p> Timeam salutatus eum ne, cum iusto impetus ad, ut vel expetenda maluisset scribentur. Usu assum congue fabulas id, ne vel natum audiam oporteat, in pri vitae meliore euripidis. Inani scaevola indoctum te vim, usu id alia fierent inimicus. Mundi sententiae qui ne, quo cu solet dicunt assueverit. Mea no doming eripuit albucius, commodo antiopam indoctum ad pri. </p>
                <p> Ad ridens doming facilis has, ut sit cotidieque necessitatibus. At case congue est, suas senserit per cu. Constituam complectitur ne sit. Id cum putent voluptatibus signiferumque, nullam animal laoreet mel ut. An nec quem soleat dignissim. </p>
            </main>
            <footer>Footer</footer>
        </div>
    </body>
</html>
